function SetTrackGroupMembership (track, stm_n)
  reaper.GetSetTrackGroupMembership(track, "PAN_MASTER", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "PAN_SLAVE", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "VOLUME_MASTER", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "VOLUME_SLAVE", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "MUTE_MASTER", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "MUTE_SLAVE", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "SOLO_MASTER", stm_n, stm_n )
  reaper.GetSetTrackGroupMembership(track, "SOLO_SLAVE", stm_n, stm_n )
end

track_g = 0
stm_n = 1

counttracks = reaper.CountTracks(0)
count_selected_tracks = reaper.CountSelectedTracks(0)
if count_selected_tracks == 0 then
  mesg = [=[Вы не выбрали ни одного трека!]=]
  fff = reaper.MB(mesg , "ПРОЧТИТЕ ВНИМАТЕЛЬНО", 0)
elseif count_selected_tracks ~= 2 then
  mesg = [=[                             Вы выбрали не ДВА трека!
  Скрипт работает только при выделении ДВУХ треков.]=]
  fff = reaper.MB(mesg , "ПРОЧТИТЕ ВНИМАТЕЛЬНО", 0)
else
  for i = 1, counttracks do
    local track = reaper.GetTrack(0,i-1)
    local track_sel = reaper.IsTrackSelected(track)
    local stm = reaper.GetSetTrackGroupMembership(track, "VOLUME_MASTER", 0, 0)
    if stm >= stm_n then
      stm_n = stm*2
    end

    if track_sel == true and stm ~= 0 then
      mesg = [=[                Вы выбрали один из треков уже принадлежащих к группе!
      Либо выберите другой, либо снимите принадлежность к группе этого.]=]
      fff = reaper.MB(mesg , "ПРОЧТИТЕ ВНИМАТЕЛЬНО", 0)
      track_g = 2
      break
    end
  end

  for i = 1, counttracks do
    local track = reaper.GetTrack(0,i-1)
    local track_sel = reaper.IsTrackSelected(track)
    if track_sel == true and track_g == 0 then
      SetTrackGroupMembership (track, stm_n)
      reaper.SetMediaTrackInfo_Value(track, "D_PAN"  ,-1 )
      reaper.GetSetTrackGroupMembership(track, "PAN_REVERSE", stm_n, stm_n )
      track_g = 1
    elseif track_sel == true and track_g == 1 then
      SetTrackGroupMembership (track, stm_n)
      reaper.SetMediaTrackInfo_Value(track, "D_PAN"  ,1 )
    end
  end

end
